////////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2008 The Regents of the University of California
//
// This file is part of Qbox
//
// Qbox is distributed under the terms of the GNU General Public License
// as published by the Free Software Foundation, either version 2 of
// the License, or (at your option) any later version.
// See the file COPYING in the root directory of this distribution
// or <http://www.gnu.org/licenses/>.
//
////////////////////////////////////////////////////////////////////////////////
//
// Stress.h
//
////////////////////////////////////////////////////////////////////////////////
// $Id: Stress.h,v 1.4 2008-09-08 15:56:19 fgygi Exp $

#ifndef STRESS_H
#define STRESS_H

#include<iostream>
#include<iomanip>
#include<sstream>
#include<stdlib.h>

#include "Sample.h"

class Stress : public Var
{
  Sample *s;

  public:

  char *name ( void ) const { return "stress"; };

  int set ( int argc, char **argv )
  {
    if ( argc != 2 )
    {
      if ( ui->onpe0() )
      cout << " stress takes only one value" << endl;
      return 1;
    }

    string v = argv[1];
    if ( !( v == "ON" || v == "OFF" ) )
    {
      if ( ui->onpe0() )
        cout << " stress must be ON or OFF" << endl;
      return 1;
    }

    s->ctrl.stress = v;

    return 0;
  }

  string print (void) const
  {
     ostringstream st;
     st.setf(ios::left,ios::adjustfield);
     st << setw(10) << name() << " = ";
     st.setf(ios::right,ios::adjustfield);
     st << setw(10) << s->ctrl.stress;
     return st.str();
  }

  Stress(Sample *sample) : s(sample) { s->ctrl.stress = "OFF"; }
};
#endif
